Index: dbusbind.c
===================================================================
RCS file: /sources/emacs/emacs/src/dbusbind.c,v
retrieving revision 1.47
diff -u -p -r1.47 dbusbind.c
--- dbusbind.c	25 Aug 2009 10:31:22 -0000	1.47
+++ dbusbind.c	12 Oct 2009 00:40:28 -0000
@@ -1247,7 +1247,7 @@ usage: (dbus-method-return-internal BUS 
   CHECK_STRING (service);
   GCPRO3 (bus, serial, service);
 
-  XD_DEBUG_MESSAGE ("%d %s ", XUINT (serial), SDATA (service));
+  XD_DEBUG_MESSAGE ("%lu %s ", (unsigned long)XUINT (serial), SDATA (service));
 
   /* Open a connection to the bus.  */
   connection = xd_initialize (bus);
@@ -1341,7 +1341,7 @@ usage: (dbus-method-error-internal BUS S
   CHECK_STRING (service);
   GCPRO3 (bus, serial, service);
 
-  XD_DEBUG_MESSAGE ("%d %s ", XUINT (serial), SDATA (service));
+  XD_DEBUG_MESSAGE ("%lu %s ", (unsigned long)XUINT (serial), SDATA (service));
 
   /* Open a connection to the bus.  */
   connection = xd_initialize (bus);
Index: font.c
===================================================================
RCS file: /sources/emacs/emacs/src/font.c,v
retrieving revision 1.138
diff -u -p -r1.138 font.c
--- font.c	23 Sep 2009 02:35:54 -0000	1.138
+++ font.c	12 Oct 2009 00:40:33 -0000
@@ -1353,7 +1353,7 @@ font_unparse_xlfd (font, pixel_size, nam
     {
       f[XLFD_AVGWIDTH_INDEX] = alloca (11);
       len += sprintf (f[XLFD_AVGWIDTH_INDEX],
-		      "%d", XINT (AREF (font, FONT_AVGWIDTH_INDEX))) + 1;
+		      "%ld", (long)XINT (AREF (font, FONT_AVGWIDTH_INDEX))) + 1;
     }
   else
     f[XLFD_AVGWIDTH_INDEX] = "*", len += 2;
@@ -1669,7 +1669,7 @@ font_unparse_fcname (font, pixel_size, n
     }
 
   if (INTEGERP (AREF (font, FONT_DPI_INDEX)))
-    len += sprintf (work, ":dpi=%d", XINT (AREF (font, FONT_DPI_INDEX)));
+    len += sprintf (work, ":dpi=%ld", (long)XINT (AREF (font, FONT_DPI_INDEX)));
   if (INTEGERP (AREF (font, FONT_SPACING_INDEX)))
     len += strlen (":spacing=100");
   if (INTEGERP (AREF (font, FONT_AVGWIDTH_INDEX)))
@@ -1682,7 +1682,7 @@ font_unparse_fcname (font, pixel_size, n
       if (STRINGP (val))
 	len += SBYTES (val);
       else if (INTEGERP (val))
-	len += sprintf (work, "%d", XINT (val));
+	len += sprintf (work, "%ld", (long)XINT (val));
       else if (SYMBOLP (val))
 	len += (NILP (val) ? 5 : 4); /* for "false" or "true" */
     }
@@ -1709,9 +1709,10 @@ font_unparse_fcname (font, pixel_size, n
       p += sprintf (p, ":%s=%s", style_names[i],
 		    SDATA (SYMBOL_NAME (styles[i])));
   if (INTEGERP (AREF (font, FONT_DPI_INDEX)))
-    p += sprintf (p, ":dpi=%d", XINT (AREF (font, FONT_DPI_INDEX)));
+    p += sprintf (p, ":dpi=%ld", (long)XINT (AREF (font, FONT_DPI_INDEX)));
   if (INTEGERP (AREF (font, FONT_SPACING_INDEX)))
-    p += sprintf (p, ":spacing=%d", XINT (AREF (font, FONT_SPACING_INDEX)));
+    p += sprintf (p, ":spacing=%ld",
+                  (long)XINT (AREF (font, FONT_SPACING_INDEX)));
   if (INTEGERP (AREF (font, FONT_AVGWIDTH_INDEX)))
     {
       if (XINT (AREF (font, FONT_AVGWIDTH_INDEX)) == 0)
Index: process.c
===================================================================
RCS file: /sources/emacs/emacs/src/process.c,v
retrieving revision 1.596
diff -u -p -r1.596 process.c
--- process.c	30 Aug 2009 05:00:59 -0000	1.596
+++ process.c	12 Oct 2009 00:40:41 -0000
@@ -1522,7 +1522,7 @@ list_processes_1 (query_only)
 	    insert_string ("?");
 	  if (INTEGERP (speed))
 	    {
-	      sprintf (tembuf, " at %d b/s", XINT (speed));
+	      sprintf (tembuf, " at %ld b/s", (long)XINT (speed));
 	      insert_string (tembuf);
 	    }
 	  insert_string (")\n");
Index: xdisp.c
===================================================================
RCS file: /sources/emacs/emacs/src/xdisp.c,v
retrieving revision 1.1313
diff -u -p -r1.1313 xdisp.c
--- xdisp.c	10 Oct 2009 16:39:05 -0000	1.1313
+++ xdisp.c	12 Oct 2009 00:41:06 -0000
@@ -14128,11 +14128,13 @@ try_window_reusing_current_matrix (w)
     return 0;
 
   /* Can't do this if region may have changed.  */
+  /*
   if ((!NILP (Vtransient_mark_mode)
        && !NILP (current_buffer->mark_active))
       || !NILP (w->region_showing)
       || !NILP (Vshow_trailing_whitespace))
     return 0;
+  */
 
   /* If top-line visibility has changed, give up.  */
   if (WINDOW_WANTS_HEADER_LINE_P (w)
@@ -23605,6 +23607,9 @@ note_mouse_highlight (f, x, y)
   if (! EQ (window, dpyinfo->mouse_face_window)
       || (part != ON_TEXT && part != ON_MODE_LINE && part != ON_HEADER_LINE
 	  && !NILP (dpyinfo->mouse_face_window)))
+/*  if ((! EQ (window, dpyinfo->mouse_face_window)
+      || (part != ON_TEXT && part != ON_MODE_LINE && part != ON_HEADER_LINE))
+	  && !NILP (dpyinfo->mouse_face_window))*/
     clear_mouse_face (dpyinfo);
 
   /* Not on a window -> return.  */
